﻿using HealthMonitor.Util.Common.Operator;

namespace HealthMonitor.Core.Operator
{
    public class OperateCacheItem
    {
        /// <summary>
        /// 具体的sql操作类型
        /// </summary>
        public DelayOperateTypeEnum Type { get; set; }
        /// <summary>
        /// 入队时间
        /// </summary>
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 操作的实体类型
        /// </summary>
        public Type? EntityType { get; set; }
        /// <summary>
        /// 序列化后的实体
        /// </summary>
        public string? JsonData { get; set; }
        /// <summary>
        /// 额外的负载信息
        /// </summary>
        public string? Payload { get; set; }
    }
}
